---
title: Basics
order: 2
---

# Basics

In this chapter we'll explain the basics of `urql` and how to get started with using it without any
prior knowledge.

- [**React/Preact**](./react-preact.md) covers how to work with the bindings for React/Preact.
- [**Vue**](./vue.md) covers how to work with the bindings for Vue 3.
- [**Svelte**](./svelte.md) covers how to work with the bindings for Svelte.
- [**Core Package**](./core.md) defines why a shared package exists that contains the main
  logic of `urql`, and how we can use it directly in Node.js.

After reading the page for your bindings and the "Core" page you may want to the next two pages in
this section of the documentation:

- [**Document Caching**](./document-caching.md) explains the default cache mechanism of `urql`, as opposed to the opt-in
  [Normalized Cache](../graphcache/normalized-caching.md).
- [**Errors**](../basics/errors.md) contains information on error handling in `urql`.
- [**UI-Patterns**](../basics/ui-patterns.md) presents some common UI-patterns with `urql`.
